/**
 * This module provides utility functions to make highlighting text much simpler.
 */
import { Match, HighlightList } from './highlighterTypes';
export declare function findMatches(text: string, query: string): Match[];
/**
 * Creates a highlightList from text and a query
 */
export declare function createHighlightList(text: string, query: string): HighlightList;
export declare function createHighlightListFromTokens(text: string, tokens: string[]): HighlightList;
/**
 * Test whether the string contains part of a query
 */
export declare function stringContainsAnyOfQuery(text: string, query: string): boolean;
export declare function stringContainsAnyTokens(text: string, tokens: string[]): boolean;
declare const _default: {
    createHighlightList: typeof createHighlightList;
    createHighlightListFromTokens: typeof createHighlightListFromTokens;
    stringContainsAnyOfQuery: typeof stringContainsAnyOfQuery;
    stringContainsAnyTokens: typeof stringContainsAnyTokens;
    findMatches: typeof findMatches;
};
export default _default;
